#include<bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n;
    cin >> n;
    int a[n];
    for(int i = 0; i < n; i++) {
        cin >> a[i];
    }
    int b[n];
    int q;
    cin >> q;
    b[0] = 0;
    for(int i = 1; i < n; i++) {
        b[i] = b[i - 1];
        if(a[i] < a[i - 1])
            b[i]++;  
    }

    for(int i = 0; i < q; i++) {
        int l, r;
        cin >> l >> r;
        l--;
        r--;
        if(b[r] - b[l + 1] <= 1) {
            cout << "DA" << '\n';
        }
        else
            cout << "NE" << '\n';
    }



    return 0;
}